import { MainPage } from 'apps/admin-e2e/src/page-objects/main.po';
import { containClass, exist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsSafira } from 'apps/admin-e2e/src/support/user-util';

describe('Safira Navigation', () => {
  const mainPage: MainPage = new MainPage();

  describe('with user safira', () => {
    before(() => {
      loginAsSafira();
    });

    it('should show benutzer navigation item', () => {
      exist(mainPage.getBenutzerNavigationItem());
    });

    it('should show organisationseinheiten navigation item', () => {
      exist(mainPage.getOrganisationEinheitNavigationItem());
    });

    describe('postfach navigation item', () => {
      it('should be visible', () => {
        exist(mainPage.getPostfachNavigationItem());
      });

      it('should be selected initial', () => {
        containClass(mainPage.getPostfachNavigationItem(), 'border-selected');
      });
    });

    it('should show statistik navigation item', () => {
      exist(mainPage.getStatistikNavigationItem());
    });
  });
});
