import { OrganisationsEinheitListE2EComponent } from '../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { OrganisationsEinheitPage } from '../../page-objects/organisations-einheit.po';
import { exist, notExist } from '../../support/cypress.util';
import { convertToDataTestId } from '../../support/tech-util';

export class E2EOrganisationsEinheitVerifier {
  private readonly organisationsEinheitPage: OrganisationsEinheitPage = new OrganisationsEinheitPage();
  private readonly organisationsEinheitList: OrganisationsEinheitListE2EComponent = this.organisationsEinheitPage.getList();

  public verifyOrganisationsEinheitInList(name: string): void {
    exist(this.organisationsEinheitList.getListItem(convertToDataTestId(name)).getRoot());
  }

  public verifyOrganisationsEinheitNotInList(name: string): void {
    notExist(this.organisationsEinheitList.getListItem(convertToDataTestId(name)).getRoot());
  }
}
