export class ForwardingDialogE2EComponent {
  private readonly root: string = 'forwarding-dialog';
  private readonly cancelButton: string = 'cancel-dialog-button';
  private readonly cancelIconButton: string = 'cancel-dialog-icon-button';
  private readonly forwardingButton: string = 'forwarding-dialog-forwarding-button';
  private readonly searchText: string = 'instant_search-text-input';
  private readonly searchEntry: string = 'item-button';
  private readonly selectedSearchItem: string = 'selected-search-item';
  private readonly changeButton: string = 'forwarding-item-change-button';
  private readonly organisationsEinheitSearch: string = 'organisations-einheit-search';

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getCancelButton() {
    return cy.getTestElement(this.cancelButton);
  }

  public getCancelIconButton() {
    return cy.getTestElement(this.cancelIconButton);
  }

  public getForwardingButton() {
    return cy.getTestElement(this.forwardingButton);
  }

  public getSearchText() {
    return cy.getTestElement(this.searchText);
  }

  public search(text: string) {
    this.getSearchText().type(text);
  }

  public clickSearchEntry(index: number): void {
    cy.getTestElement(this.searchEntry).eq(index).click();
  }

  public getSelectedSearchItem() {
    return cy.getTestElement(this.selectedSearchItem);
  }

  public getChangeButton() {
    return cy.getTestElement(this.changeButton);
  }

  public getOrganisationsEinheitSearch() {
    return cy.getTestElement(this.organisationsEinheitSearch);
  }
}
