import {
  PostfachMailItemE2E,
  VorgangAttachedItemClientE2E,
  VorgangAttachedItemE2E,
  VorgangAttachedItemNameE2E,
} from '../model/vorgang-attached-item';
import { VORGANG_ATTACHED_ITEM_CLASS } from './vorgang-attached-item-util';

const postfachNachrichtReplyItemFixture: PostfachMailItemE2E = require('../fixtures/postfach/postfach-nachricht-reply-item.json');

export function createPostfachNachrichtReplyItem(): PostfachMailItemE2E {
  return postfachNachrichtReplyItemFixture;
}

export function createPostfachNachrichtAttachedItem(_id: string, vorgangId: string): VorgangAttachedItemE2E {
  return {
    _id: { $oid: _id },
    version: 0,
    vorgangId,
    client: VorgangAttachedItemClientE2E.OZGCLOUD_NACHRICHTEN_MANAGER,
    itemName: VorgangAttachedItemNameE2E.POSTFACH_NACHRICHT,
    item: {
      ...createPostfachNachrichtReplyItem(),
      vorgangId,
    },
    deleted: false,
    _class: VORGANG_ATTACHED_ITEM_CLASS,
  };
}
