import { AggregationMappingListResource, AggregationMappingService } from '@admin-client/reporting-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject, OnDestroy } from '@angular/core';
import { SpinnerComponent } from '@ods/component';
import { Observable } from 'rxjs';
import { AggregationMappingFormComponent } from './aggregation-mapping-form/aggregation-mapping-form.component';

@Component({
  selector: 'admin-aggregation-mapping-form-container',
  standalone: true,
  imports: [SpinnerComponent, AsyncPipe, AggregationMappingFormComponent],
  templateUrl: './aggregation-mapping-form-container.component.html',
})
export class AggregationMappingFormContainerComponent implements OnDestroy {
  public readonly aggregationMappingService = inject(AggregationMappingService);

  public readonly listStateResource$: Observable<StateResource<AggregationMappingListResource>> =
    this.aggregationMappingService.getList();

  ngOnDestroy(): void {
    this.aggregationMappingService.refreshList();
  }
}
