export const KEYCLOAK_VALIDATION_ERROR_STATUS_CODES: number[] = [400, 409];

export enum KeycloakFieldName {
  USERNAME = 'username',
  EMAIL = 'email',
}

export enum KeycloakErrorMessage {
  USERNAME_IS_MISSING = 'User name is missing',
  EMAIL_EXISTS = 'User exists with same email',
  USERNAME_EXISTS = 'User exists with same username',
  INVALID_LENGTH = 'error-invalid-length',
  INVALID_EMAIL = 'error-invalid-email',
}

export interface ErrorRepresentation {
  errorMessage?: KeycloakErrorMessage;
  field?: KeycloakFieldName;
  params?: any[];
}

export interface KeycloakHttpErrorResponse {
  response: {
    status: number;
  };
  responseData: KeycloakErrorResponseData;
}

export interface KeycloakErrorResponseData extends ErrorRepresentation {
  errors?: ErrorRepresentation[];
}
