import { ConfigurationLinkRel, ConfigurationResource, ConfigurationService } from '@admin-client/configuration-shared';
import { ListResourceServiceConfig, ResourceListService, ResourceRepository } from '@alfa-client/tech-shared';
import { AggregationMappingListLinkRel } from './aggregation-mapping.linkrel';
import { AggregationMappingListResource, AggregationMappingResource } from './aggregation-mapping.model';

export class AggregationMappingListResourceService extends ResourceListService<
  ConfigurationResource,
  AggregationMappingListResource,
  AggregationMappingResource
> {}

export function createAggregationMappingListResourceService(
  repository: ResourceRepository,
  configurationService: ConfigurationService,
) {
  return new ResourceListService(buildConfig(configurationService), repository);
}

function buildConfig(configurationService: ConfigurationService): ListResourceServiceConfig<ConfigurationResource> {
  return {
    baseResource: configurationService.get(),
    listLinkRel: ConfigurationLinkRel.AGGREGATION_MAPPINGS,
    listResourceListLinkRel: AggregationMappingListLinkRel.LIST,
    createLinkRel: AggregationMappingListLinkRel.SELF,
  };
}
