import { BescheidDocument, BescheidLinkRel, BescheidResource, createEmptyBescheidDocument } from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { BescheidFormService } from '../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-create-document-button',
  templateUrl: './bescheid-wizard-create-document-button.component.html',
})
export class BescheidWizardCreateDocumentButtonComponent {
  @Input() bescheidResource: BescheidResource;
  @Input() set bescheidDocument(value: BescheidDocument) {
    this._bescheidDocument = value;
    this.formService.updateBescheidDocumentFile(value.documentUri);
  }

  get bescheidDocument(): BescheidDocument {
    return this._bescheidDocument;
  }

  @Output() clickEmitter: EventEmitter<void> = new EventEmitter<void>();

  private readonly formService = inject(BescheidFormService);

  private _bescheidDocument: BescheidDocument = createEmptyBescheidDocument();

  public readonly BescheidLinkRel = BescheidLinkRel;
}
