import {
  BescheidDocument,
  BescheidLinkRel,
  BescheidResource,
  createEmptyUploadInProgress,
  UploadFileInProgress,
} from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { BescheidFormService } from '../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-upload-document-button',
  templateUrl: './bescheid-wizard-upload-document-button.component.html',
  styles: [':host {@apply flex grow}'],
})
export class BescheidWizardUploadDocumentButtonComponent {
  @Input() bescheidResource: BescheidResource;

  @Input() set bescheidDocument(value: BescheidDocument) {
    this.formService.updateBescheidDocumentFile(value.documentUri);
    this.upload = value.upload;
  }

  @Output() file: EventEmitter<File> = new EventEmitter<File>();

  public readonly formService = inject(BescheidFormService);

  public upload: UploadFileInProgress = createEmptyUploadInProgress();

  public readonly formServiceClass = BescheidFormService;
  public readonly bescheidLinkRel = BescheidLinkRel;

  public uploadFile(file: File): void {
    this.file.emit(file);
  }
}
