/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ConvertToBooleanPipe } from './convert-to-boolean.pipe';

import * as TechUtil from '../tech.util';

describe('convertToBoolean', () => {
  const pipe: ConvertToBooleanPipe = new ConvertToBooleanPipe();

  it('create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  describe('transform', () => {
    const booleanStr: string = 'true';
    let convertToBooleanSpy: jest.SpyInstance;

    beforeEach(() => {
      convertToBooleanSpy = jest.spyOn(TechUtil, 'convertToBoolean').mockReturnValue(true);
    });

    it('should call convert to boolean', () => {
      pipe.transform(booleanStr);

      expect(convertToBooleanSpy).toHaveBeenCalledWith(booleanStr);
    });

    it('should return converted result', () => {
      jest.spyOn(TechUtil, 'convertToBoolean').mockReturnValue(true);

      const converted: boolean = pipe.transform(booleanStr);

      expect(converted).toBeTruthy();
    });
  });
});
