/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ApiRootFacade } from '@alfa-client/api-root-shared';
import { mock } from '@alfa-client/test-utils';
import { MockComponent } from 'ng-mocks';
import { VorgangListPageContainerComponent } from './vorgang-list-page-container.component';
import { VorgangListPageComponent } from './vorgang-list-page/vorgang-list-page.component';

describe('VorgangListPageContainerComponent', () => {
  let component: VorgangListPageContainerComponent;
  let fixture: ComponentFixture<VorgangListPageContainerComponent>;

  const apiRootFacade = mock(ApiRootFacade);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [VorgangListPageContainerComponent, MockComponent(VorgangListPageComponent)],
      providers: [
        {
          provide: ApiRootFacade,
          useValue: apiRootFacade,
        },
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(VorgangListPageContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('onInit', () => {
    it('should call apiRootService', () => {
      component.ngOnInit();

      expect(apiRootFacade.getApiRoot).toHaveBeenCalled();
    });
  });
});
