import { EMPTY_STRING } from '@alfa-client/tech-shared';
import { Anschrift } from '@alfa-client/zustaendige-stelle-shared';
import { AnschriftToStringPipe } from './anschrift-to-string.pipe';

describe('AnschriftToString', () => {
  let pipe: AnschriftToStringPipe;

  beforeEach(() => {
    pipe = new AnschriftToStringPipe();
  });

  it('should create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  it('should format anschrift', () => {
    const anschrift: Anschrift = {
      strasse: 'Musterstraße',
      hausnummer: '12',
      plz: '12345',
      ort: 'Musterstadt',
    };
    expect(pipe.transform(anschrift)).toBe('Musterstraße 12, 12345 Musterstadt');
  });

  it('should return empty string if anschrift is null', () => {
    expect(pipe.transform(null)).toBe(EMPTY_STRING);
  });
});
